%define upstream_name Dist-Zilla-Plugin-RemovePrereqs-Provided
%define upstream_version 0.001001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Remove prerequisites that are already provided
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Moose)

BuildArch:	noarch

%description
This module is a utility for people who are working with self-consuming
code ( predominantly "Dist::Zilla" distributions ) who wish to avoid
self-dependencies in cases where some other prerequisite providing tool
is over-zealous in determining prerequisites.

This is an initial implementation that assumes you have "[MetaProvides]"
of some description in place, and uses the data it provides to make sure
the same modules don't exist as prerequisites.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.1-3.mga8
+ Revision: 1504142
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.1-2.mga7
+ Revision: 1283299
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.1.1-1.mga7
+ Revision: 1125991
- update to 0.001001

* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-3.mga6
+ Revision: 1026564
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.0-2.mga6
+ Revision: 968273
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.1.0-1.mga6
+ Revision: 851690
- imported package perl-Dist-Zilla-Plugin-RemovePrereqs-Provided

